set (0, 'defaultlinelinewidth', 3)
clear;
load robot_data.csv;
for i = 1:length(robot_data)
  if(robot_data(i,5) == 1)
    pdata(end+1,1) = robot_data(i,2) - (robot_data(i,6)-1)*40;
    pdata(end  ,2) = robot_data(i,3) - (robot_data(i,7)-1)*40;
    pdata(end  ,3) = robot_data(i,2) - (robot_data(i,6)-1)*40 + sin(robot_data(i,4));
    pdata(end  ,4) = robot_data(i,3) - (robot_data(i,7)-1)*40 + cos(robot_data(i,4));
    
    robot_data(i,8) = robot_data(i,2) - (robot_data(i,6)-1)*40;
    robot_data(i,9) = robot_data(i,3) - (robot_data(i,7)-1)*40;
  end
end
figure 1
plot(pdata(:,1),pdata(:,2),'x')
hold on
plot(pdata(:,3),pdata(:,4),'or')
plot(0,0,'hm')
hold off
axis([-30,30,-30,30])


for i = -30:30
  for j = -30:30
    d(i+31,j+31) = getp(i,j);
  end
end  
figure 2
mesh(-30:30,-30:30,d)


# integrate max(0, -0.001*sqrt((2*x)^2+y^2)^2 + 0.9) dx dy; x = -30 to 30, y = -30 to 30

# (0,1), (30, 9/11), (90, 7.5/11) ~ (0,1), (30, 0.681818), (90, 0.818181)
#  x^2*( 0.00004209)-(0.007323)*x+1

